Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceDeviceMap

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.voice.server.bean.VoiceDeviceMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class VoiceDeviceMap extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `VoiceDeviceMap.VoiceDeviceMapItem`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fix(ParameterMap params, Preferences fix, String prefixOld, String prefixNew)`
  `VoiceDeviceMap.VoiceDeviceMapItem`
  `get(int deviceId)`
  `static VoiceDeviceMap`
  `getInstance(int moduleId)`
  `Map<Integer,VoiceDeviceMap.VoiceDeviceMapItem>`
  `getMap()`
  `long`
  `getVersion()`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `void`
  `reload()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static VoiceDeviceMap getInstance(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getVersion

    public long getVersion()

  - ### fix

    public void fix(ParameterMap params, Preferences fix, String prefixOld, String prefixNew)

  - ### get

    public VoiceDeviceMap.VoiceDeviceMapItem get(int deviceId) throws Exception
    Throws:
      `Exception`

  - ### getMap

    public Map<Integer,VoiceDeviceMap.VoiceDeviceMapItem> getMap() throws Exception
    Throws:
      `Exception`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### reload

    public void reload()